.weatherDisplay {
    position: relative;
    margin: 20px 10px;
    width: 280px;
    text-align: center;
    box-shadow: 0 2px 3px #ccc;
    border: 1px solid #eee;
    padding: 10px;
    box-sizing: border-box;
    float: left;
    min-height: 300px;
}

.city {
    text-align: left;
}

.img {
    text-align: center;

}

.desc {
    padding: 15px;
    text-align: left;
}